"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../utils");
function validateTypeOf(type) {
    if (typeof type !== 'string') {
        throw new TypeError('argument 0 of .toHaveTypeOf must be a string');
    }
    return function (actual) {
        var actualString = utils_1.stringify(actual);
        return {
            success: typeof actual === type,
            message: "expected " + actualString + " to be of type " + type,
            negatedMessage: "expected " + actualString + " not to be of type " + type + ", but it is"
        };
    };
}
exports.validateTypeOf = validateTypeOf;
